/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package util;

import java.io.BufferedReader;
import java.io.InputStream;
import java.io.InputStreamReader;
import java.io.OutputStreamWriter;
import java.net.HttpURLConnection;
import java.net.URL;

/**
 *
 * @author TEST
 */
public class HttpClass {

    public HttpURLConnection sendAWSPostRequest(String requestURL, String params) {
        HttpURLConnection httpConn = null;
        try {
            URL url = new URL(requestURL);
            httpConn = (HttpURLConnection) url.openConnection();
            httpConn.setUseCaches(false);
            httpConn.setRequestProperty("Content-Type", "application/json; charset=UTF-8");
            httpConn.setDoInput(true); // true indicates the server returns response
            httpConn.setDoOutput(true);
            httpConn.setConnectTimeout(10000);

            OutputStreamWriter writer = new OutputStreamWriter(httpConn.getOutputStream());
            writer.write(params);
            writer.flush();

            try {
                InputStream inputStream = null;
                if (httpConn != null) {
                    inputStream = httpConn.getInputStream();
                }
                BufferedReader reader = new BufferedReader(new InputStreamReader(inputStream));

                String response = reader.readLine();
                reader.close();

                System.out.println("response >> " + response);
            } catch (Exception e) {
                e.printStackTrace();
            } finally {
                if (httpConn != null) {
                    httpConn.disconnect();
                }
            }

        } catch (Exception e) {
            e.printStackTrace();
        }
        return httpConn;
    }

}
